gr::gsm::decryption Class Referenceabstract

<+description of block+> More...

`#include <decryption.h>`

Inheritance diagram for gr::gsm::decryption:

## Public Types

typedef std::shared_ptr< decryption > | sptr

## Public Member Functions

virtual void | set_k_c (const std::vector< uint8_t > &k_c)=0
virtual void | set_a5_version (unsigned int a5_version)=0

## Static Public Member Functions

static sptr | make (const std::vector< uint8_t > &k_c, unsigned int a5_version)
| Return a shared_ptr to a new instance of gsm::decryption.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<decryption> gr::gsm::decryption::sptr

## Member Function Documentation

## make()

sptr gr::gsm::decryption::make | ( | const std::vector< uint8_t > & | k_c,
|  | unsigned int | a5_version )

static

Return a shared_ptr to a new instance of gsm::decryption.

To avoid accidental use of raw pointers, gsm::decryption's constructor is in a private implementation class. gsm::decryption::make is the public interface for creating new instances.

## set_a5_version()

virtual void gr::gsm::decryption::set_a5_version | ( | unsigned int | a5_version | ) |

pure virtual

Implemented in gr::gsm::decryption_impl.

## set_k_c()

virtual void gr::gsm::decryption::set_k_c | ( | const std::vector< uint8_t > & | k_c | ) |

pure virtual

Implemented in gr::gsm::decryption_impl.

The documentation for this class was generated from the following file:

- decryption.h